<?
if(isset($_GET['level2_all']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_zavod` WHERE `id` = '".intval($_GET['level2_all'])."' AND `id_user` = '$ku[id]' AND `id_pet` != '0' AND `level` < '20'"),0)!=0)
{
$zavod=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_zavod` WHERE `id` = '".intval($_GET['level2_all'])."' AND `id_user` = '$ku[id]' AND `id_pet` != '0' AND `level` < '20'"));
$zavod['next_level']=$zavod['level']+1;
$money_all_levels=0;
for($kp=$zavod['next_level'];$kp<=20;$kp++)
{
$money_all_levels=$money_all_levels+$kp;
}
$money_all_levels=$money_all_levels*1000;
if($ku['money']>=$money_all_levels)
{
mysql_query("UPDATE `kolhoz_user` SET `money` = '".($ku['money']-$money_all_levels)."' WHERE `id` = '$ku[id]'");
mysql_query("UPDATE `kolhoz_zavod` SET `level` = '20' WHERE `id` = '$zavod[id]'");
}
else $_SESSION['no_money']=$ku['money']-$money_all_levels;
header("Location:?myzavod&moderate&".passgen());
exit;
}
?>